## util-linux 2.35.2

=== debian/changelog ===
util-linux (2.35.2-7+hurd.1) unreleased; urgency=medium

  * Apply patch from #963625.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 06 Jul 2020 17:14:38 +0000

util-linux (2.35.2-7) unstable; urgency=medium

  [ Simon McVittie ]
  * d/tests: Add a compile/link/run autopkgtest for each library

  [ Chris Hofstaedtler ]
  * Build-Conflict with libcryptsetup-dev.
    Building with libcryptsetup-dev enables Verity support, but also makes
    all programs using libmount1 pull in libcryptsetup12 and libjansson.
    However, libjansson and libjson-c (used in many other "core" libraries)
    export conflicting symbols today, causing various crashes. See Debian
    bug #963932.
    Also, libcryptsetup12 pulls in libssl1.1, which causes some
    not-from-Debian software to crash (because of conflicting libssl
    symbols).
    Unfortunately this disables Verity support again, see Debian bug
     #951048.
  * Remove Important: yes from mount
  * Take over look and write from bsdmainutils (Closes: #964242)

  [ jan krcmar ]
  * Update util-linux.su.pam

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 06 Jul 2020 15:22:50 +0000

util-linux (2.35.2-6) unstable; urgency=medium

  [ Pino Toscano ]
  * Add libcryptsetup-dev dependency to libmount-dev (Closes: #963704)

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 25 Jun 2020 16:56:12 +0000

util-linux (2.35.2-5) unstable; urgency=medium

  * Build with libcryptsetup-dev to enable dm-verity (Closes: #951048)
  * hwclock: move files from /lib to /usr/lib
  * Stop installing rename.ul at all (Closes: #926637)
  * Make hd work like hexdump -C (Closes: #963491)
  * Remove Build-Depends: dpkg-dev (>= 1.17.14), and version constraint on
    dh-exec.  Both fulfilled in oldoldstable and newer
  * Remove outdated Breaks/Replaces/Suggests.
    Replaces: util-linux (<< 2.11b), bash-completion (<< 1:2.1-4.3~),
    bash-completion (<< 1:2.1-4.1~), e2fsprogs (<< 1.34-1), e2fsprogs (<=
    1.40.3-1ubuntu1), e2fslibs-dev (<< 1.15) and version on Suggests:
    nfs-common (>= 1:1.1.0-13)
    All fulfilled in oldoldstable.

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 25 Jun 2020 12:06:52 +0000

util-linux (2.35.2-4) unstable; urgency=medium

  * d/watch: update to find -rc versions

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 21 Jun 2020 01:28:37 +0000

util-linux (2.35.2-3) unstable; urgency=medium

  [ Holger Wansing ]
  * po: Convert po files into UTF-8
  * po: Correct charset declaration to UTF-8
  * po: Add/fill/correct translation headers, to make msgfmt happy

  [ Chris Hofstaedtler ]
  * Introduce new bsdextrautils binary package:
    Take over col, colcrt, colrm, column, hexdump, hd, look and ul from
    bsdmainutils.

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 28 May 2020 13:01:05 +0000

util-linux (2.35.2-2) unstable; urgency=medium

  * umount bash-completion: avoid gawk Recommends. (Closes: #933934)
    Pulled in upstream-applied patch from Étienne Mollier.
    Thanks to Étienne Mollier <etienne.mollier@mailoo.org>
    and Guillem Jover <guillem@debian.org>

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 22 May 2020 10:41:16 +0000

util-linux (2.35.2-1) unstable; urgency=medium

  * New upstream release (Closes: #960839).
  * Drop all patches, applied upstream.
  * mount: add Recommends: gawk for bash-completion.
    The bash-completion for umount now explicitly uses gawk. Recommends:
    should pull in gawk on new installs in a typical environment, and
    users with Recommends turned off already know what they are doing.
    (Closes: #933934)

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 20 May 2020 22:21:26 +0000

util-linux (2.35.1-5) unstable; urgency=medium

  * libmount-dev: depend on libselinux1-dev (Closes: #960446)

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 12 May 2020 17:11:40 +0000

util-linux (2.35.1-4) unstable; urgency=medium

  * fdisk: Drop Important: yes to avoid piuparts/apt problem.
    Thanks to Andreas Beckmann.

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 12 May 2020 08:53:53 +0000

util-linux (2.35.1-3) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * Improve fstrim.timer installation, probably fixes kfreebsd FTBFS
  * d/copyright: update
  * Add NEWS entry for eject change
  * Mark eject(-udeb) as Priority: optional, as before

  [ Michael Biebl ]
  * Take over eject binary (Closes: #737658)

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 10 May 2020 22:49:29 +0000

util-linux (2.35.1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Wrap long lines in changelog entries: 2.13.1-2, 2.13.1-1, 2.13-10,
    2.13-1, 2.12p-1, 2.12l-1, 2.12-3, 2.11z-2, 2.10n-1, 2.10d-7, 2.10d-
    4, 2.9x-1.
  * Fill in Homepage field.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

  [ Michael Biebl ]
  * Move all libraries to /usr/lib (Closes: #959744)

  [ Mark Hindley ]
  * Fix fallocate test failure in pbuilder

  [ Chris Hofstaedtler ]
  * hwclock.sh: fix indent
  * hwclock.sh: remove obsolete header
  * Stop depending on fdisk (Closes: #947134)
  * Remove Andreas Henriksson from Uploaders: per request
  * Enable fstrim.timer by default
  * Install runuser bash-completion symlink (Closes: #913098)

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 06 May 2020 09:10:20 +0000

util-linux (2.35.1-1) unstable; urgency=medium

  * New upstream released. (Closes: #954002)
  * Bump Standards-Version to 4.5.0
  * Update Maintainers/Uploaders to reflect reality
  * Run wrap-and-sort -a, fix tab/space mixup in debian/copyright
  * Install new scriptlive(1) tool
  * Apply patches from git HEAD:
    hwclock: make glibc 2.31 compatible (Closes: #955559)
    lsblk: fix -P regression from v2.34 (Closes: #951217)

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 03 May 2020 13:45:56 +0000
