## util-linux 2.36

=== debian/changelog ===
util-linux (2.36-3ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build hwclock with audit support.
    - Drop debian/hwclock.rules and debian/util-linux.hwclock.default, recent
      kernels sync the RTC automatically.
    - Add sulogin-fallback-static-sh.patch: Add support for /bin/static-sh as
      fallback if the regular shell fails to execute. Patch ported from
      sysvinit. (see LP #505887)
    - Add sulogin-lockedpwd.patch: Make sure file systems can be fixed on
      machines with locked root accounts (as Ubuntu does by default). Don't
      require --force for sulogin.
    - Clean up weekly fstrim cron file, now a systemd timer unit.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 30 Aug 2020 21:31:17 +0200

util-linux (2.36-3) unstable; urgency=medium

  * Fix sfdisk regression with upstream patch (Closes: #966992)

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 29 Aug 2020 12:32:39 +0000

util-linux (2.36-2ubuntu1) groovy; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Build hwclock with audit support.
    - Drop debian/hwclock.rules and debian/util-linux.hwclock.default, recent
      kernels sync the RTC automatically.
    - Add sulogin-fallback-static-sh.patch: Add support for /bin/static-sh as
      fallback if the regular shell fails to execute. Patch ported from
      sysvinit. (see LP #505887)
    - Add sulogin-lockedpwd.patch: Make sure file systems can be fixed on
      machines with locked root accounts (as Ubuntu does by default). Don't
      require --force for sulogin.
    - Clean up weekly fstrim cron file, now a systemd timer unit.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 01 Aug 2020 21:14:53 +0200

util-linux (2.36-2) unstable; urgency=medium

  * Reinstate libblkid.a (Closes: #966330)

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 01 Aug 2020 17:28:26 +0000

util-linux (2.36-1ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build hwclock with audit support.
    - Drop debian/hwclock.rules and debian/util-linux.hwclock.default, recent
      kernels sync the RTC automatically.
    - Add sulogin-fallback-static-sh.patch: Add support for /bin/static-sh as
      fallback if the regular shell fails to execute. Patch ported from
      sysvinit. (see LP #505887)
    - Add sulogin-lockedpwd.patch: Make sure file systems can be fixed on
      machines with locked root accounts (as Ubuntu does by default). Don't
      require --force for sulogin.
    - Clean up weekly fstrim cron file, now a systemd timer unit.
  * Dropped changes, included upstream:
    - root-not-required-to-be-mountpoint.patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 30 Jul 2020 11:38:58 +0200

util-linux (2.36-1) unstable; urgency=medium

  * New upstream release. (Closes: #956739, #959783, #953065, #879024)
    The new lsirq and irqtop tools are not installed for now, as without
    per-CPU data they do not seem mature at this time.
  * Use debhelper v13. (Closes: #963625)

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 23 Jul 2020 22:56:45 +0000

util-linux (2.35.2-9ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build hwclock with audit support.
    - Drop debian/hwclock.rules and debian/util-linux.hwclock.default, recent
      kernels sync the RTC automatically.
    - Add sulogin-fallback-static-sh.patch: Add support for /bin/static-sh as
      fallback if the regular shell fails to execute. Patch ported from
      sysvinit. (see LP #505887)
    - Add sulogin-lockedpwd.patch: Make sure file systems can be fixed on
      machines with locked root accounts (as Ubuntu does by default). Don't
      require --force for sulogin.
    - Clean up weekly fstrim cron file, now a systemd timer unit.
  * Dropped changes, superseded by Debian with upstream patch:
    - Mark one failing test on riscv64 as xfail, while proper investigation is
      ongoing (probably according to Debian build logs, some changes between
      kernel 5.0 and 5.7 fixed the test).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 22 Jul 2020 00:03:33 +0200

util-linux (2.35.2-9) unstable; urgency=medium

  * Fix uname26 test, by applying upstream commit 2261cfdc26.
    Thanks to Helge Deller <deller@gmx.de> (Closes: #961639)

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 21 Jul 2020 20:32:19 +0000

util-linux (2.35.2-8) unstable; urgency=medium

  [ Simon McVittie ]
  * d/tests: Explicitly return a value from main() (Closes: #964420)
  * d/tests: Don't link with -lm
  * d/tests: Don't save built binaries as artifacts

  [ Chris Hofstaedtler ]
  * Reenable verbose tests and drop arch exceptions on Linux
  * Stop Recommending bsdmainutils (transitional)
  * Stop providing static libraries for: libblkid, libfdisk, libmount,
    libsmartcols. Also see #963933.

  [ Sven Joachim ]
  * Do not invoke dh_makeshlibs for libmount1 on non-linux arches
    (Closes: #963625)

  [ Samuel Thibault ]
  * Enable write on all platforms, not just linux (Closes: #964393)

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 21 Jul 2020 12:50:41 +0000

util-linux (2.35.2-7ubuntu3) groovy; urgency=medium

  * debian/bsdextrautils:
    - fix the files persmission to be +x

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 08 Jul 2020 16:32:35 +0200

util-linux (2.35.2-7ubuntu2) groovy; urgency=medium

  * debian/rules:
    - fix a merge error and correctly enable write

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 08 Jul 2020 15:12:10 +0200

util-linux (2.35.2-7ubuntu1) groovy; urgency=medium

  * Resynchronize with Debian, remaining changes:
    - Build hwclock with audit support.
    - Drop debian/hwclock.rules and debian/util-linux.hwclock.default, recent
      kernels sync the RTC automatically.
    - Add sulogin-fallback-static-sh.patch: Add support for /bin/static-sh as
      fallback if the regular shell fails to execute. Patch ported from

