=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: util-linux
 Build-Depends: bc <!stage1 !nocheck>,
                bison,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                dh-exec,
                gettext,
                libaudit-dev [linux-any] <!stage1>,
@@ -18,7 +18,8 @@
                po-debconf,
                socat <!stage1 !nocheck>,
                systemd [linux-any] <!stage1>,
-               zlib1g-dev
+               zlib1g-dev,
+               libaudit-dev
 Build-Conflicts: libcryptsetup-dev
 Section: base
 Priority: required
@@ -102,14 +103,12 @@
 Pre-Depends: ${misc:Pre-Depends},
              ${shlibs:Depends}
 Depends: ${misc:Depends}
-Recommends: bsdextrautils,
-            bsdmainutils
+Recommends: bsdextrautils
 Multi-Arch: foreign
 Description: basic utilities from 4.4BSD-Lite
  This package contains the bare minimum of BSD utilities needed for a Debian
  system: logger, renice, script, scriptlive, scriptreplay and wall. The
- remaining standard BSD utilities are provided by bsdmainutils and
- bsdextrautils.
+ remaining standard BSD utilities are provided by bsdextrautils.
 
 Package: bsdextrautils
 Architecture: any
@@ -125,7 +124,7 @@
 Description: extra utilities from 4.4BSD-Lite
  This package contains some extra BSD utilities: col, colrm, column, hexdump,
  hd, look, ul and write.
- Other BSD utilities are provided by bsdutils, bsdmainutils and calendar.
+ Other BSD utilities are provided by bsdutils and calendar.
 
 Package: fdisk
 Architecture: any
@@ -200,7 +199,7 @@
          uuid-dev,
          ${misc:Depends}
 Multi-Arch: same
-Description: block device ID library - headers and static libraries
+Description: block device ID library - headers
  The blkid library allows system programs such as fsck and mount to
  quickly and easily find block devices by filesystem UUID or label.
  This allows system administrators to avoid specifying filesystems by
@@ -244,7 +243,7 @@
          uuid-dev,
          ${misc:Depends}
 Multi-Arch: same
-Description: fdisk partitioning library - headers and static libraries
+Description: fdisk partitioning library - headers
  The libfdisk library is used for manipulating partition tables. It is
  the core of the fdisk, cfdisk, and sfdisk tools.
  .
@@ -283,7 +282,7 @@
          libselinux1-dev,
          ${misc:Depends}
 Multi-Arch: same
-Description: device mounting library - headers and static libraries
+Description: device mounting library - headers
  This device mounting library is used by mount and umount helpers.
  .
  This package contains the development environment for the mount library.
@@ -319,7 +318,7 @@
          libsmartcols1 (= ${binary:Version}),
          ${misc:Depends}
 Multi-Arch: same
-Description: smart column output alignment library - headers and static libraries
+Description: smart column output alignment library - headers
  This smart column output alignment library is used by fdisk utilities.
  .
  This package contains the development environment for the mount library.
@@ -364,3 +363,4 @@
  .
  This package contains the uuidgen program and the uuidd daemon.
  .
+ The uuidd daemon is used to generate UUIDs, especially time-based
