=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,7 @@
 CONFOPTS += --with-selinux
 CONFOPTS += --with-smack
 CONFOPTS += --enable-partx
+CONFOPTS += --with-audit
 ifneq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
 	CONFOPTS += --without-systemd --without-udev --without-audit
 else
@@ -67,6 +68,10 @@
 	#
 	# remove *.la files
 	rm -f debian/tmp/usr/lib/*/*.la
+	#
+	# Avoid shipping static libraries.
+	# - libblkid.a is used by e2fsprogs.
+	find debian/tmp/usr/lib -name 'lib*.a' \! -name 'libuuid.a' \! -name 'libblkid.a' -delete
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -115,6 +120,9 @@
 override_dh_installman:
 	dh_installman --language=C
 
+override_dh_missing:
+	dh_missing --list-missing
+
 override_dh_gencontrol:
 ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
 	dh_gencontrol --package=bsdutils -- -v1:$(DEB_VERSION_UPSTREAM_REVISION)
@@ -127,9 +135,9 @@
 ifeq (linux,$(DEB_HOST_ARCH_OS))
 ifeq (,$(findstring s390,$(DEB_HOST_ARCH)))
 	# install /etc/init.d/hwclock.sh
-	dh_installinit --name=hwclock.sh --no-start
-	# install /etc/default/hwclock
-	dh_installinit --name=hwclock
+	# - update-rc.d manually handled in maintainers scripts as there
+	#   is special per-arch considerations.
+	dh_installinit --name=hwclock.sh --noscripts
 endif
 endif
 	# install uuidd sysvinit script
@@ -144,23 +152,6 @@
 	dh_installpam --package=util-linux --name=su
 	dh_installpam --package=util-linux --name=su-l
 
-override_dh_makeshlibs:
-	dh_makeshlibs \
-		-N libsmartcols1 -N libblkid1 \
-		-N libfdisk1 -N libmount1 -N libuuid1
-	dh_makeshlibs -plibsmartcols1 -V \
-		--add-udeb=libsmartcols1-udeb
-	dh_makeshlibs -plibblkid1 -V \
-		--add-udeb=libblkid1-udeb
-	dh_makeshlibs -plibfdisk1 -V \
-		--add-udeb=libfdisk1-udeb
-ifeq ($(DEB_HOST_ARCH_OS),linux)
-	dh_makeshlibs -plibmount1 -V \
-		--add-udeb=libmount1-udeb
-endif
-	dh_makeshlibs -plibuuid1 -V \
-		--add-udeb=libuuid1-udeb
-
 override_dh_fixperms:
 	dh_fixperms -i -a -Xusr/bin/wall -Xusr/bin/write.ul -Xbin/mount -Xbin/umount -Xbin/su
 
@@ -172,10 +163,7 @@
 endif
 
 override_dh_auto_test:
-ifneq (,$(filter alpha armel armhf arm64,$(DEB_HOST_ARCH)))
-	@echo "WARNING: Making tests non-fatal because of arch $(DEB_HOST_ARCH)"
-	dh_auto_test --max-parallel=1 || true
-else ifeq ($(DEB_HOST_ARCH_OS), linux)
+ifeq ($(DEB_HOST_ARCH_OS), linux)
 	dh_auto_test --max-parallel=1
 else
 	@echo "WARNING: non-linux detected, making tests non-fatal."
